### A free/open-source library for quantitative finance

Public Member Functions
ProjectedCostFunction Class Reference

Parameterized cost function. More...

`#include <ql/math/optimization/projectedcostfunction.hpp>`

Inheritance diagram for ProjectedCostFunction:
[legend]

List of all members.

## Public Member Functions

| ProjectedCostFunction (const CostFunction &costFunction, const Array &parametersValues, const std::vector< bool > &parametersFreedoms)
virtual Disposable< Array > | project (const Array &parameters) const
| returns the subset of free parameters corresponding
virtual Disposable< Array > | include (const Array &projectedParameters) const
| returns whole set of parameters corresponding to the set
CostFunction interface
virtual Real | value (const Array &freeParameters) const
| method to overload to compute the cost function value in x
virtual Disposable< Array > | values (const Array &freeParameters) const
| method to overload to compute the cost function values in x

## Detailed Description

Parameterized cost function.

This class creates a proxy cost function which can depend on any arbitrary subset of parameters (the other being fixed)